Bug 69836 - [GTK] enable-webaudio websetting
Summary: [GTK] enable-webaudio websetting
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 69835
Blocks: 61355
  Show dependency treegraph
 
Reported: 2011-10-11 06:38 PDT by Philippe Normand
Modified: 2011-12-01 02:34 PST (History)
1 user (show)

See Also:


Attachments
WebAudio GStreamer implementation: enable-webaudio setting (7.19 KB, patch)
2011-11-21 08:56 PST, Philippe Normand
no flags Details | Formatted Diff | Diff
WebAudio GStreamer implementation: enable-webaudio setting (7.45 KB, patch)
2011-11-23 09:33 PST, Philippe Normand
mrobinson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2011-10-11 06:38:51 PDT
Like for WebGL a setting is needed to toggle WebAudio support at runtime.
Comment 1 Philippe Normand 2011-11-21 08:56:35 PST
Created attachment 116097 [details]
WebAudio GStreamer implementation: enable-webaudio setting
Comment 2 Martin Robinson 2011-11-21 09:18:59 PST
Comment on attachment 116097 [details]
WebAudio GStreamer implementation: enable-webaudio setting

View in context: https://bugs.webkit.org/attachment.cgi?id=116097&action=review

> Source/WebKit/gtk/webkit/webkitwebsettings.cpp:915
> +    * Enable or disable support for WebAudio on pages.

You probably want to have a short description of what WebAudio is and a link to the spec.
Comment 3 Philippe Normand 2011-11-21 10:02:22 PST
Comment on attachment 116097 [details]
WebAudio GStreamer implementation: enable-webaudio setting

Will update this patch tomorrow, thanks for the first insight Martin
Comment 4 Philippe Normand 2011-11-23 09:33:55 PST
Created attachment 116376 [details]
WebAudio GStreamer implementation: enable-webaudio setting
Comment 5 Martin Robinson 2011-12-01 01:10:30 PST
Comment on attachment 116376 [details]
WebAudio GStreamer implementation: enable-webaudio setting

Looks good, but we need one more person to r+ this since it's an API change.
Comment 6 Gustavo Noronha (kov) 2011-12-01 01:28:49 PST
Comment on attachment 116376 [details]
WebAudio GStreamer implementation: enable-webaudio setting

+1
Comment 7 Philippe Normand 2011-12-01 02:34:11 PST
Committed r101641: <http://trac.webkit.org/changeset/101641>